-- Copyright (c) 2024 - Ognjen 'xolatile' Milan Robovic
--
-- GNU General Public Licence (version 3 or later)

with core;

package effect is

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	type enumeration is (
		none, one
	);

                                             ------------------------------------------------------------------------------------------

	type information is
	record
		name : core.short_string;
		make : boolean;
	end record;

                                             ------------------------------------------------------------------------------------------

	count : constant natural := enumeration'pos (enumeration'last) + 1;

	trait : constant array (enumeration) of information := (
		("-                       ", true),
		("-                       ", true)
	);

                                             ------------------------------------------------------------------------------------------

	procedure draw (value : in enumeration; x, y : in integer);

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

end effect;
